/*  MESSENGER-2657 */

$blockingColor: #ed4337;

@define-mixin notificationPulse {
    transform-origin: 50% 50%;
    animation-duration: 3s;
    animation-name: pulse;
    animation-iteration-count: infinite;

    @keyframes pulse {
        0% {
            transform: scale(0.5);
            opacity: 0.7;
        }
        50% {
            transform: scale(1);
            opacity: 1;
        }
        100% {
            transform: scale(0.5);
            opacity: 0.7;
        }
    }
}

@define-mixin notificationBubble {
    content: "";
    width: 14px;
    height: 14px;
    position: absolute;
    background-color: #edde0c;
    border-radius: 8px;
}

.mx_BwiMaintenance_Banner {
    background-color: #edde0c;
    color: black;
    text-align: center;
    position: absolute;
    bottom: 20px;
    width: 95%;
    border-radius: 8px;
    white-space: pre-wrap;
}
.mx_BwiMaintenance_Banner[data-blocking="true"] {
    background-color: $blockingColor;
}

.mx_BwiMaintenance_Content {
    margin-left: 5px;
    margin-right: 5px;
}

@keyframes MaintenanceAnim {
    0% {
        max-height: 0px;
    }

    100% {
        max-height: 65px;
    }
}

.mx_BwiMaintenance_Active {
    width: 100%;
    z-index: 101;
    height: auto;
    overflow: hidden;
    font-weight: 600;
    text-align: center;
    color: black;
    -moz-box-shadow: inset 0 10px 5px -10px #333;
    -webkit-box-shadow: inset 0 10px 5px -10px #333;
    box-shadow: inset 0 10px 5px -10px #333;
    font-size: $font-16px;
    justify-content: center;
    position: relative;
    animation: MaintenanceAnim 1.5s ease-out 0s;
    white-space: pre-wrap;

    > p {
        margin: 10px 0px;
        padding: 0px 10px;
    }
}

.mx_BwiMaintenance_Active_Bypass {
    margin-top: 5px;
    margin-bottom: 5px;
}

.mx_BwiMaintenance_Active_NonBlocking {
    background-color: #edde0c;
}

.mx_BwiMaintenance_Active_Blocking {
    background-color: #ed4337;
}

.mx_BwiMaintenance_Wrapper {
    background-color: $background;
    position: absolute;
    bottom: 0px;
    width: 95%;
    height: 21px;
}

.mx_TabbedView_Notification_static .mx_TabbedView_tabLabel_text::after {
    @mixin notificationBubble;
    margin-left: 10px;
    top: 12px;
}
.mx_BwiMaintenance_blocking.mx_TabbedView_Notification_static .mx_TabbedView_tabLabel_text::after {
    background-color: $blockingColor;
}

.mx_TabbedView_Notification_pulse .mx_TabbedView_tabLabel_text::after {
    @mixin notificationBubble;
    @mixin notificationPulse;
    margin-left: 10px;
    top: 12px;
}
.mx_BwiMaintenance_blocking.mx_TabbedView_Notification_pulse .mx_TabbedView_tabLabel_text::after {
    background-color: $blockingColor;
}

.mx_TabbedView_Notification_static .mx_IconizedContextMenu_label::after {
    @mixin notificationBubble;
    margin-top: 3px;
    margin-left: 10px;
}
.mx_BwiMaintenance_blocking.mx_TabbedView_Notification_static .mx_IconizedContextMenu_label::after {
    background-color: $blockingColor;
}

.mx_TabbedView_Notification_pulse .mx_IconizedContextMenu_label::after {
    @mixin notificationBubble;
    @mixin notificationPulse;
    margin-top: 3px;
    margin-left: 10px;
}
.mx_BwiMaintenance_blocking.mx_TabbedView_Notification_pulse .mx_IconizedContextMenu_label::after {
    background-color: $blockingColor;
}

.mx_UserMenu_headerNotification_static::after {
    @mixin notificationBubble;
    top: 6px;
    left: 34px;
}
.mx_BwiMaintenance_blocking.mx_UserMenu_headerNotification_static::after {
    background-color: $blockingColor;
}

.mx_UserMenu_headerNotification_pulse::after {
    @mixin notificationBubble;
    @mixin notificationPulse;
    top: 6px;
    left: 34px;
}
.mx_BwiMaintenance_blocking.mx_UserMenu_headerNotification_pulse::after {
    background-color: $blockingColor;
}

.mx_TabbedView_banner {
    bottom: 125px;
}
